Open SCAP Library

Data Fields
oval_probe_session Struct Reference
PROBESESSION

OVAL probe session structure. More...

`#include <_oval_probe_session.h>`

## Data Fields
oval_phtbl_t * | ph
| probe handler table
oval_pext_t * | pext
| state information associated with external probes
struct oval_syschar_model * | sys_model
| system characteristics model
char * | dir
| probe session directory
uint32_t | flg
| probe session flags

## Detailed Description

OVAL probe session structure.

This structure holds all the library side state information associated with a probe session. A probe session is bound to a system characteristics model during the initialization and all evaluations are done relative to this model.

The documentation for this struct was generated from the following file:

- _oval_probe_session.h